<?php
function plugin($page_conf){
// inclusion des fonctions
require_once("wiki.class.php");
$wiki = new wiki();
$get = $page_conf["get"];
$nom_mod = array();
// verification des requetes de type GET et desactivation de module ou activation
if (isset($get["module"]) && $get["module"] != "" && file_exists("./module/".$get["module"])){
// verification si le module et activ ou non
    if (preg_match("#^!(.+)#isU",$get["module"])) {
     // si module dsactive
     preg_match("#^!(.+)$#i",$get["module"],$nom_module);
     rename("./module/".$get["module"],"./module/".$nom_module[1]);
     } else {
	     rename("./module/".$get["module"],"./module/!".$get["module"]);	 
	     }      
}
// liste des dossiers du dossier MODULE
$liste = $wiki -> repertoire_liste("./module");
$texte = "<table border=1 width=\"100%\" style=\"border-collapse: collapse\">
<tr bgcolor=\"#CCFFCC\">
<td>Nom du module</td>
<td>Information</td>
<td>Etat du module</td>
</tr>";
for ($i=0;$i <= sizeof($liste)-1; $i++){
// on enleve le point d'exclamation si le module est dsactiv
	  if (preg_match("#^!(.+)#i",$liste[$i]["nom"])) {
	     preg_match("#^!(.+)#i",$liste[$i]["nom"],$regex);
	     $nom_mod[$i] = $regex[1];
	  } else $nom_mod[$i] = $liste[$i]["nom"];
     $info = '<span style="color:red">Aucune</span>';
     // lecture du fichier de configuration du plugin
     if (file_exists("./module/".$liste[$i]["nom"]."/conf.txt")){
         $conf = $wiki -> lire_configuration("./module/".$liste[$i]["nom"]."/conf.txt");
	     // info sur les modules (auteur,version....)
	     if (isset($conf["auteur"])) $info = "<span style=\"color:green\">Auteur: </span>".$conf["auteur"]."<br/>";
	     if (isset($conf["nom"])) $info = $info."<span style=\"color:green\">Nom: </span>".$conf["nom"]."<br/>";
	     if (isset($conf["url"])) $info = $info.'<span style="color:green">Site web: </span><a href="'.$conf["url"].'" alt="">'.$conf["url"].'</a>
	     <br/>';
	     if (isset($conf["version"])) $info = $info."<span style=\"color:green\">Version: </span>".$conf["version"]."<br/>";
	     if (isset($conf["admin"])) $info = $info.'<span style="color:green">Page d\'administration: </span>
	     <a href="'.$conf["admin"].'" alt="">Admin</a><br/>';
	     }
     // verification si le module est activ ou dsactiv
     if (preg_match("#^!(.+)#isU",$liste[$i]["nom"])) $etat_module = '<span style="color:red">D&eacute;sactiv&eacute;</span>';
     else $etat_module = '<span style="color:green">Activ&eacute;</span>';
     // affichage des infos et des actions pouvant tre faite
     $texte = $texte."<tr>
     <td width=\"15%\">
     <span style=\"color:navy\">".$nom_mod[$i]."</span>
     </td>
     <td width=\"50%\">$info</td>
     <td width=\"50%\"><a href=\"admin?id=plugin&module=".$liste[$i]["nom"]."\" alt=\"\">".$etat_module."</a></td>
     </tr>";
     }
$texte = $texte."</table><a href=\"admin\">Retour</a>";
return $texte;
}
?>